<form [formGroup]="uploadForm" (dragleave)="onDragLeave($event)" (dragover)="onDragOver($event)" (drop)="onDrop($event)"
      [ngClass]="{'hovered': hovered, 'accept-hover': !transclude}"
      class="container">
  <label [ngClass]="{'hide': files?.length > 0}" class="invite">
    <ng-container *ngTemplateOutlet="transclude ? transclude : placeHolder"></ng-container>
    <input #uploadInput (change)="selectFiles($event)" [accept]="acceptType"
           [multiple]="multi" class="hide" formControlName="mainImages" required type="file">
  </label>
  <ng-container *ngIf="!(uploadAllFilesPendingState$ | async); else progress">
    <div *ngFor="let file of files; let i = index" class="mini">
      <div>
        <span class="file-name">{{file?.file?.name}}</span>
        <button (click)="removeFile(i)" nz-button  nzShape="circle">
          <i nz-icon nzTheme="outline" nzType="delete" style="height: 20px; width:20px; font-size: 16px;"></i>
        </button>
      </div>
    </div>
  </ng-container>

  <ng-template #progress>
    <div> Vitesse : {{speed$ | async}}</div>
    <nz-progress [nzPercent]="uploadService.currentPercentage$ | async"></nz-progress>
  </ng-template>
</form>


<ng-template #placeHolder>
  <span [ngClass]="{'hide': files?.length > 0}" class="invite-text">{{placeholder}}</span>
</ng-template>
